<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_241) on Mon May 18 23:41:36 CEST 2020 -->
<title>Utility</title>
<meta name="date" content="2020-05-18">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Utility";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":9,"i13":9,"i14":9,"i15":9,"i16":9,"i17":9,"i18":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/hevs/isi/utils/Utility.html" target="_top">Frames</a></li>
<li><a href="Utility.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.hevs.isi.utils</div>
<h2 title="Class Utility" class="title">Class Utility</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ch.hevs.isi.utils.Utility</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Utility</span>
extends java.lang.Object</pre>
<div class="block">This class contains some useful Java methods to manipulate Modbus data.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/utils/Utility.html#Utility--">Utility</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static java.lang.Float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/utils/Utility.html#bytesToFloat-byte:A-int-int-">bytesToFloat</a></span>(byte[]&nbsp;bytes,
            int&nbsp;offset,
            int&nbsp;size)</code>
<div class="block">Returns a <code>float</code> value from array of bytes.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/utils/Utility.html#calculateCRC-byte:A-int-int-">calculateCRC</a></span>(byte[]&nbsp;data,
            int&nbsp;offset,
            int&nbsp;len)</code>
<div class="block">Calculates and returns the CRC using the data passed in parameters.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/utils/Utility.html#checkCRC-byte:A-int-int-byte:A-">checkCRC</a></span>(byte[]&nbsp;data,
        int&nbsp;offset,
        int&nbsp;len,
        byte[]&nbsp;crc)</code>
<div class="block">Checks the CRC and returns true if it is correct, otherwise false.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/utils/Utility.html#createBDPAndRegister-java.lang.String-boolean-boolean-int-">createBDPAndRegister</a></span>(java.lang.String&nbsp;label,
                    boolean&nbsp;input,
                    boolean&nbsp;value,
                    int&nbsp;address)</code>
<div class="block">instantiates a BoolDataPoint with it's associated BooleanRegister, with an initial value</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/utils/Utility.html#createBDPAndRegister-java.lang.String-boolean-int-">createBDPAndRegister</a></span>(java.lang.String&nbsp;label,
                    boolean&nbsp;input,
                    int&nbsp;address)</code>
<div class="block">instantiates a BoolDataPoint with it's associated BooleanRegister, without an initial value</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/utils/Utility.html#createFDPAndRegister-java.lang.String-boolean-float-int-int-int-">createFDPAndRegister</a></span>(java.lang.String&nbsp;label,
                    boolean&nbsp;input,
                    float&nbsp;value,
                    int&nbsp;address,
                    int&nbsp;range,
                    int&nbsp;offset)</code>
<div class="block">instantiates a FloatDataPoint with it's associated FloatRegister, with an initial value</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/utils/Utility.html#createFDPAndRegister-java.lang.String-boolean-int-int-int-">createFDPAndRegister</a></span>(java.lang.String&nbsp;label,
                    boolean&nbsp;input,
                    int&nbsp;address,
                    int&nbsp;range,
                    int&nbsp;offset)</code>
<div class="block">instantiates a FloatDataPoint with it's associated FloatRegister, without an initial value</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/utils/Utility.html#createJson--">createJson</a></span>()</code>
<div class="block">This method was called once to create the .json file that contains all the parameters</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static org.json.JSONObject</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/utils/Utility.html#createObj-java.lang.String-boolean-int-">createObj</a></span>(java.lang.String&nbsp;label,
         boolean&nbsp;input,
         int&nbsp;address)</code>
<div class="block">Creates a JSON object that represents a BoolDataPoint</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static org.json.JSONObject</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/utils/Utility.html#createObj-java.lang.String-boolean-int-int-int-">createObj</a></span>(java.lang.String&nbsp;label,
         boolean&nbsp;input,
         int&nbsp;address,
         int&nbsp;range,
         int&nbsp;offset)</code>
<div class="block">Creates a JSON object that represents a FloatDataPoint, without an inital value</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static org.json.JSONObject</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/utils/Utility.html#createObj-java.lang.String-boolean-int-int-int-int-">createObj</a></span>(java.lang.String&nbsp;label,
         boolean&nbsp;input,
         int&nbsp;value,
         int&nbsp;address,
         int&nbsp;range,
         int&nbsp;offset)</code>
<div class="block">Creates a JSON object that represents a FloatDataPoint, with an initial value</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/utils/Utility.html#DEBUG-java.lang.String-java.lang.String-java.lang.String-">DEBUG</a></span>(java.lang.String&nbsp;className,
     java.lang.String&nbsp;method,
     java.lang.String&nbsp;msg)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/utils/Utility.html#getHexString-byte:A-">getHexString</a></span>(byte[]&nbsp;b)</code>
<div class="block">Utility method to convert a byte array in a string made up of hex (0,.. 9, a,..f)</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/utils/Utility.html#getHexString-byte:A-int-int-">getHexString</a></span>(byte[]&nbsp;b,
            int&nbsp;offset,
            int&nbsp;length)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/utils/Utility.html#initDataPointsAndRegisters--">initDataPointsAndRegisters</a></span>()</code>
<div class="block">initiate all the DataPoints with their register using the correct server address and parameters</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/utils/Utility.html#md5sum-java.lang.String-">md5sum</a></span>(java.lang.String&nbsp;msg)</code>
<div class="block">Returns the md5 of any input...</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/utils/Utility.html#readJson-java.lang.String-">readJson</a></span>(java.lang.String&nbsp;filename)</code>
<div class="block">once the .json file is created, this method is called in the MainClass main method to set all the parameters</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/utils/Utility.html#unsignedByteToSignedInt-byte-">unsignedByteToSignedInt</a></span>(byte&nbsp;from)</code>
<div class="block">Converts an unsigned byte to a signed integer.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/utils/Utility.html#waitSomeTime-int-">waitSomeTime</a></span>(int&nbsp;ms)</code>
<div class="block">To wait some times ...</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Utility--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Utility</h4>
<pre>public&nbsp;Utility()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="calculateCRC-byte:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculateCRC</h4>
<pre>public static&nbsp;byte[]&nbsp;calculateCRC(byte[]&nbsp;data,
                                  int&nbsp;offset,
                                  int&nbsp;len)</pre>
<div class="block">Calculates and returns the CRC using the data passed in parameters.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>data</code> - a byte array containing the data to send</dd>
<dd><code>offset</code> - the offset</dd>
<dd><code>len</code> - the data length</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>byte[] the CRC</dd>
</dl>
</li>
</ul>
<a name="checkCRC-byte:A-int-int-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkCRC</h4>
<pre>public static&nbsp;boolean&nbsp;checkCRC(byte[]&nbsp;data,
                               int&nbsp;offset,
                               int&nbsp;len,
                               byte[]&nbsp;crc)</pre>
<div class="block">Checks the CRC and returns true if it is correct, otherwise false.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>data</code> - a byte array containing the data to send</dd>
<dd><code>offset</code> - the offset</dd>
<dd><code>len</code> - the data length</dd>
<dd><code>crc</code> - a byte array containing the CRC to check</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean true if the CRC is correct, otherwise false</dd>
</dl>
</li>
</ul>
<a name="unsignedByteToSignedInt-byte-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unsignedByteToSignedInt</h4>
<pre>public static&nbsp;int&nbsp;unsignedByteToSignedInt(byte&nbsp;from)</pre>
<div class="block">Converts an unsigned byte to a signed integer.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>from</code> - an unsigned byte to convert to a signed integer</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int a signed integer</dd>
</dl>
</li>
</ul>
<a name="getHexString-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHexString</h4>
<pre>public static&nbsp;java.lang.String&nbsp;getHexString(byte[]&nbsp;b)
                                     throws java.lang.Exception</pre>
<div class="block">Utility method to convert a byte array in a string made up of hex (0,.. 9, a,..f)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>b</code> - byte array</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>result</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - exception</dd>
</dl>
</li>
</ul>
<a name="getHexString-byte:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHexString</h4>
<pre>public static&nbsp;java.lang.String&nbsp;getHexString(byte[]&nbsp;b,
                                            int&nbsp;offset,
                                            int&nbsp;length)</pre>
</li>
</ul>
<a name="waitSomeTime-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>waitSomeTime</h4>
<pre>public static&nbsp;void&nbsp;waitSomeTime(int&nbsp;ms)</pre>
<div class="block">To wait some times ...</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ms</code> - time in milliseconds</dd>
</dl>
</li>
</ul>
<a name="md5sum-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>md5sum</h4>
<pre>public static&nbsp;java.lang.String&nbsp;md5sum(java.lang.String&nbsp;msg)</pre>
<div class="block">Returns the md5 of any input...</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>msg</code> - The input string to process</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The md5 of the input string.</dd>
</dl>
</li>
</ul>
<a name="bytesToFloat-byte:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bytesToFloat</h4>
<pre>public static&nbsp;java.lang.Float&nbsp;bytesToFloat(byte[]&nbsp;bytes,
                                           int&nbsp;offset,
                                           int&nbsp;size)</pre>
<div class="block">Returns a <code>float</code> value from array of bytes. This byte's array can only be 2 or 4 bytes long.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bytes</code> - The array of bytes to convert.</dd>
<dd><code>offset</code> - The position where the method has to start to get the bytes from.</dd>
<dd><code>size</code> - The amount of bytes to convert.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A <code>Float</code> value or <code>null</code> if the process failed.</dd>
</dl>
</li>
</ul>
<a name="DEBUG-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEBUG</h4>
<pre>public static&nbsp;void&nbsp;DEBUG(java.lang.String&nbsp;className,
                         java.lang.String&nbsp;method,
                         java.lang.String&nbsp;msg)</pre>
</li>
</ul>
<a name="createFDPAndRegister-java.lang.String-boolean-float-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createFDPAndRegister</h4>
<pre>public static&nbsp;void&nbsp;createFDPAndRegister(java.lang.String&nbsp;label,
                                        boolean&nbsp;input,
                                        float&nbsp;value,
                                        int&nbsp;address,
                                        int&nbsp;range,
                                        int&nbsp;offset)</pre>
<div class="block">instantiates a FloatDataPoint with it's associated FloatRegister, with an initial value</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>label</code> - the DataPoint's label</dd>
<dd><code>input</code> - the DataPoint's input value, true if input, false if output</dd>
<dd><code>value</code> - the DataPoint's initial value</dd>
<dd><code>address</code> - the FloatRegister address attribute</dd>
<dd><code>range</code> - the FloatRegister range attribute</dd>
<dd><code>offset</code> - the FloatRegister offset attribute</dd>
</dl>
</li>
</ul>
<a name="createFDPAndRegister-java.lang.String-boolean-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createFDPAndRegister</h4>
<pre>public static&nbsp;void&nbsp;createFDPAndRegister(java.lang.String&nbsp;label,
                                        boolean&nbsp;input,
                                        int&nbsp;address,
                                        int&nbsp;range,
                                        int&nbsp;offset)</pre>
<div class="block">instantiates a FloatDataPoint with it's associated FloatRegister, without an initial value</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>label</code> - the DataPoint's label</dd>
<dd><code>input</code> - the DataPoint's input value, true if input, false if output</dd>
<dd><code>address</code> - the FloatRegister address attribute</dd>
<dd><code>range</code> - the FloatRegister range attribute</dd>
<dd><code>offset</code> - the FloatRegister offset attribute</dd>
</dl>
</li>
</ul>
<a name="createBDPAndRegister-java.lang.String-boolean-boolean-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createBDPAndRegister</h4>
<pre>public static&nbsp;void&nbsp;createBDPAndRegister(java.lang.String&nbsp;label,
                                        boolean&nbsp;input,
                                        boolean&nbsp;value,
                                        int&nbsp;address)</pre>
<div class="block">instantiates a BoolDataPoint with it's associated BooleanRegister, with an initial value</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>label</code> - the DataPoint's label</dd>
<dd><code>input</code> - the DataPoint's input value, true if input, false if output</dd>
<dd><code>value</code> - the DataPoint's initial value</dd>
<dd><code>address</code> - the BooleanRegister address attribute</dd>
</dl>
</li>
</ul>
<a name="createBDPAndRegister-java.lang.String-boolean-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createBDPAndRegister</h4>
<pre>public static&nbsp;void&nbsp;createBDPAndRegister(java.lang.String&nbsp;label,
                                        boolean&nbsp;input,
                                        int&nbsp;address)</pre>
<div class="block">instantiates a BoolDataPoint with it's associated BooleanRegister, without an initial value</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>label</code> - the DataPoint's label</dd>
<dd><code>input</code> - the DataPoint's input value, true if input, false if output</dd>
<dd><code>address</code> - the BooleanRegister address attribute</dd>
</dl>
</li>
</ul>
<a name="initDataPointsAndRegisters--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initDataPointsAndRegisters</h4>
<pre>public static&nbsp;void&nbsp;initDataPointsAndRegisters()</pre>
<div class="block">initiate all the DataPoints with their register using the correct server address and parameters</div>
</li>
</ul>
<a name="createObj-java.lang.String-boolean-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createObj</h4>
<pre>public static&nbsp;org.json.JSONObject&nbsp;createObj(java.lang.String&nbsp;label,
                                            boolean&nbsp;input,
                                            int&nbsp;address)</pre>
<div class="block">Creates a JSON object that represents a BoolDataPoint</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>label</code> - the DataPoint's label</dd>
<dd><code>input</code> - the DataPoint's input value, true if input, false if output</dd>
<dd><code>address</code> - the BooleanRegister address attribute</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>temp</dd>
</dl>
</li>
</ul>
<a name="createObj-java.lang.String-boolean-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createObj</h4>
<pre>public static&nbsp;org.json.JSONObject&nbsp;createObj(java.lang.String&nbsp;label,
                                            boolean&nbsp;input,
                                            int&nbsp;address,
                                            int&nbsp;range,
                                            int&nbsp;offset)</pre>
<div class="block">Creates a JSON object that represents a FloatDataPoint, without an inital value</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>label</code> - the DataPoint's label</dd>
<dd><code>input</code> - the DataPoint's input value, true if input, false if output</dd>
<dd><code>address</code> - the FloatRegister address attribute</dd>
<dd><code>range</code> - the FloatRegister range attribute</dd>
<dd><code>offset</code> - the FloatRegister offset attribute</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>temp</dd>
</dl>
</li>
</ul>
<a name="createObj-java.lang.String-boolean-int-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createObj</h4>
<pre>public static&nbsp;org.json.JSONObject&nbsp;createObj(java.lang.String&nbsp;label,
                                            boolean&nbsp;input,
                                            int&nbsp;value,
                                            int&nbsp;address,
                                            int&nbsp;range,
                                            int&nbsp;offset)</pre>
<div class="block">Creates a JSON object that represents a FloatDataPoint, with an initial value</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>label</code> - the DataPoint's label</dd>
<dd><code>input</code> - the DataPoint's input value, true if input, false if output</dd>
<dd><code>value</code> - the DataPoint's initial value</dd>
<dd><code>address</code> - the FloatRegister address attribute</dd>
<dd><code>range</code> - the FloatRegister range attribute</dd>
<dd><code>offset</code> - the FloatRegister offset attribute</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>temp</dd>
</dl>
</li>
</ul>
<a name="createJson--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createJson</h4>
<pre>public static&nbsp;void&nbsp;createJson()</pre>
<div class="block">This method was called once to create the .json file that contains all the parameters</div>
</li>
</ul>
<a name="readJson-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>readJson</h4>
<pre>public static&nbsp;void&nbsp;readJson(java.lang.String&nbsp;filename)</pre>
<div class="block">once the .json file is created, this method is called in the MainClass main method to set all the parameters</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>filename</code> - the path of the .json file</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/hevs/isi/utils/Utility.html" target="_top">Frames</a></li>
<li><a href="Utility.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
